# Update Submission Type

Updates a submission type for the requesting practice group.

Endpoint: PATCH /v1/care-nav/submission-types/{id}
Version: 1.0.0
Security: apiKeyAuth, practiceGroupId

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `practiceGroupId` (unknown)
    apiKey in header x-practice-group-id

## Path parameters:

  - `id` (string, required)

## Request fields (application/json):

  - `title` (string)

  - `description` (string)

  - `in_hours` (boolean)

  - `out_of_hours` (boolean)

  - `suspended` (boolean)

  - `form_id` (string)

  - `external_url` (string)

  - `external_url_name` (string)

  - `type` (string)
    Enum: "admin_request", "clinical_request", "other_request"

  - `default_priority` (string)
    Enum: "lowest", "low", "medium", "high", "highest"

  - `daily_limit` (integer)

  - `patient_eligibility_check` (boolean)

  - `assignee_id` (string)

  - `assignee_type` (string)
    Enum: "Admin", "AdminTeam"

  - `order` (integer)

## Response 200:

  - `200` (unknown)
    Ok

## Response 200 fields (application/json):

  - `id` (string, required)

  - `pathway_id` (string, required)

  - `form_id` (string, required)

  - `title` (string, required)

  - `description` (string, required)

  - `in_hours` (boolean, required)

  - `out_of_hours` (boolean, required)

  - `suspended` (boolean, required)

  - `external_url` (string, required)

  - `external_url_name` (string, required)

  - `type` (string, required)
    Enum: "admin_request", "clinical_request", "other_request"

  - `default_priority` (string, required)
    Enum: "lowest", "low", "medium", "high", "highest"

  - `daily_limit` (integer, required)

  - `forms_submitted_today` (integer, required)
    Number of forms submitted for this submission type on the current day.

  - `patient_eligibility_check` (boolean, required)

  - `assignee_id` (string, required)

  - `assignee_type` (string, required)
    Enum: "Admin", "AdminTeam"

  - `order` (number, required)

  - `created_at` (string, required)

  - `updated_at` (string, required)

## Response 400:

  - `400` (unknown)
    Validation error

## Response 400 fields (application/json):

  - `error` (boolean, required)
    Example: true

  - `statusCode` (number, required)
    Example: 400

  - `message` (array, required)

  - `message.code` (string, required)
    Example: invalid_type

  - `message.expected` (string, required)
    Example: string

  - `message.path` (array, required)
    Example: ["patient_id"]

  - `message.message` (string, required)
    Example: Required

## Response 401:

  - `401` (unknown)
    Unauthorised

## Response 404:

  - `404` (unknown)
    Not found

## Response 422:

  - `422` (unknown)
    Business rule violation

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 500:

  - `500` (unknown)
    Unknown error

